Bug Hunting Session
Bug 125446 - Support to Korean Traditional Calendar, Dan-gi(단기/檀紀) Calendar on LibreOffice
Summary: Support to Korean Traditional Calendar, Dan-gi(단기/檀紀) Calendar on LibreOffice
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: DaeHyun Sung
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: CJK CJK-Korean
  Show dependency treegraph
 
Reported: 2019-05-22 15:36 UTC by DaeHyun Sung
Modified: 2019-09-04 11:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of Dangi Calendar XLSX (7.55 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-05-22 17:23 UTC, DaeHyun Sung
Details
Example of Korean Dangi Calendar XLS (9.50 KB, application/x-ole-storage)
2019-05-22 17:24 UTC, DaeHyun Sung
Details
View Korean Dangi Calendar cell difference between Hancom Hancell and LibreOffice. (520.52 KB, image/png)
2019-05-22 17:29 UTC, DaeHyun Sung
Details
Example of Dangi Calendar on MS Excel (255.73 KB, image/png)
2019-05-23 21:56 UTC, DaeHyun Sung
Details
Example of Dangi Calendar on Hancom Hancell (515.22 KB, image/png)
2019-05-23 22:16 UTC, DaeHyun Sung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DaeHyun Sung 2019-05-22 15:36:23 UTC
Description:
Support to Korean Traditional Calendar, Dan-gi(단기/檀紀) Calendar on LibreOffice

The era name, Dangi(단기,檀紀) originating from the foundation of Gojoseon[고조선/古朝鮮] is also widely used in Korea as an indication of long civilization of Korea.
Full name: Dangun-giwon (단군기원, 檀君紀元 "First Age of Lord Dangun" : 1948-1961)
Abbreviation Name: Dangi(단기,檀紀)
The Dangi Calendar measures years from the ancient founding of Korea in 2333 B.C.

Until 1961, Republic of Korea(대한민국/大韓民國, a.k.a. South Korea) officially used to Dangi(단기/檀紀) era 
http://www.law.go.kr/법령/연호에관한법률/(00004,19480925)
年號에關한法律 [시행 1948. 9. 25.] [법률 제4호, 1948. 9. 25., 제정] 
大韓民國의 公用年號는 檀君紀元으로 한다. 
附則 <법률 제4호, 1948. 9. 25.> 本法은 公布日로부터 施行한다.

Nowaday, It's not official era in Korea, But, Private sector in Korea sometimes use it.

It supported on MS Windows & MS Office, Hancom Office Suite.
Also, Windows 10 support Dangi Calendar.

ICU library support Dangi Calendar.
ICU4C 50 http://bugs.icu-project.org/trac/ticket/9255
ICU4J 51 http://bugs.icu-project.org/trac/ticket/9616 

Hancom is HWP software developed company, 
MS Excel & Hancom Hancell(Hancom Office Suite's Spreadsheet)'s Dangi(단기/檀紀) Cell Property pattern

If Today is May 4, 2019, then
It shows "4352년 5월 4일 토요일", When Cell attributes sets [$-412]YYYY"년" M"월" D"일" DDDD;@
"4352년 5월 4일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
"4352년 05월 04일 토요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일" DDDD;@
"4352년 05월 04일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@


In Korea, MS OFffice, & Hancom Hancell uses that's cell attributes, LibreOffice should support to Dangi Calendar for Interoperation in Korea.


Actual Results:
Today is May 23, 2019.
It shows "2019년 5월 23일 목요일", When Cell attributes sets [$-412]YYYY"년" M"월" D"일" DDDD;@
"2019년 5월 23일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
"2019년 05월 23일 목요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일" DDDD;@
"2019년 05월 23일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@

Expected Results:
Today is May 23, 2019.
It shows "4352년 5월 23일 목요일", When Cell attributes sets [$-412]YYYY"년" M"월" D"일" DDDD;@
"4352년 5월 23일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
"4352년 05월 23일 목요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일" DDDD;@
"4352년 05월 23일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@


Reproducible: Always


User Profile Reset: No



Additional Info:
ICU4J
https://ssl.icu-project.org/trac/changeset/32426
Adding the traditional Korean calendar (Dangi) support to ICU4J.
https://github.com/unicode-org/icu/commit/ed0ef7c2427078bb38211293e1ef090aab5e6f25#diff-f3f4352a0a0739dc705276a31851a473

below is ICU Library's Dangi Calendar
The start year of the Korean traditional calendar (Dan-gi) is the inaugural year of Dan-gun (BC 2333).
private static final int DANGI_EPOCH_YEAR = -2332;
Comment 1 DaeHyun Sung 2019-05-22 16:41:22 UTC
I've just submitted Korean Dangi(단기/檀紀) Calendar on LibreOffice Repository
Support to Korean Dangi Calendar for Tdf#125446
https://gerrit.libreoffice.org/72807
Comment 2 DaeHyun Sung 2019-05-22 17:22:03 UTC
In Additional,  add two Dangi Cell attributes
If Today is May 4, 2019, then

"4352-05-04", When Cell attributes sets [$-0]YYYY/MM/DD;@
"4352-5-4", When Cell attributes sets [$-0]YY/M/D;@


Total 6 Dangi Calendar Cell attributes pattern on MS Excel And Hancom Hancell
"4352-05-04", When Cell attributes sets [$-0]YYYY/MM/DD;@
"4352-5-4", When Cell attributes sets [$-0]YY/M/D;@
"4352년 5월 4일 토요일", When Cell attributes sets [$-412]YYYY"년" M"월" D"일" DDDD;@
"4352년 5월 4일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
"4352년 05월 04일 토요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일" DDDD;@
"4352년 05월 04일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@

(In reply to DaeHyun Sung from comment #0)
> Description:
> Support to Korean Traditional Calendar, Dan-gi(단기/檀紀) Calendar on LibreOffice
> 
> The era name, Dangi(단기,檀紀) originating from the foundation of
> Gojoseon[고조선/古朝鮮] is also widely used in Korea as an indication of long
> civilization of Korea.
> Full name: Dangun-giwon (단군기원, 檀君紀元 "First Age of Lord Dangun" : 1948-1961)
> Abbreviation Name: Dangi(단기,檀紀)
> The Dangi Calendar measures years from the ancient founding of Korea in 2333
> B.C.
> 
> Until 1961, Republic of Korea(대한민국/大韓民國, a.k.a. South Korea) officially used
> to Dangi(단기/檀紀) era 
> http://www.law.go.kr/법령/연호에관한법률/(00004,19480925)
> 年號에關한法律 [시행 1948. 9. 25.] [법률 제4호, 1948. 9. 25., 제정] 
> 大韓民國의 公用年號는 檀君紀元으로 한다. 
> 附則 <법률 제4호, 1948. 9. 25.> 本法은 公布日로부터 施行한다.
> 
> Nowaday, It's not official era in Korea, But, Private sector in Korea
> sometimes use it.
> 
> It supported on MS Windows & MS Office, Hancom Office Suite.
> Also, Windows 10 support Dangi Calendar.
> 
> ICU library support Dangi Calendar.
> ICU4C 50 http://bugs.icu-project.org/trac/ticket/9255
> ICU4J 51 http://bugs.icu-project.org/trac/ticket/9616 
> 
> Hancom is HWP software developed company, 
> MS Excel & Hancom Hancell(Hancom Office Suite's Spreadsheet)'s Dangi(단기/檀紀)
> Cell Property pattern
> 
> If Today is May 4, 2019, then
> It shows "4352년 5월 4일 토요일", When Cell attributes sets [$-412]YYYY"년" M"월"
> D"일" DDDD;@
> "4352년 5월 4일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
> "4352년 05월 04일 토요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일"
> DDDD;@
> "4352년 05월 04일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@
> 
> 
> In Korea, MS OFffice, & Hancom Hancell uses that's cell attributes,
> LibreOffice should support to Dangi Calendar for Interoperation in Korea.
> 
> 
> Actual Results:
> Today is May 23, 2019.
> It shows "2019년 5월 23일 목요일", When Cell attributes sets [$-412]YYYY"년" M"월"
> D"일" DDDD;@
> "2019년 5월 23일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
> "2019년 05월 23일 목요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일"
> DDDD;@
> "2019년 05월 23일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@
> 
> Expected Results:
> Today is May 23, 2019.
> It shows "4352년 5월 23일 목요일", When Cell attributes sets [$-412]YYYY"년" M"월"
> D"일" DDDD;@
> "4352년 5월 23일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
> "4352년 05월 23일 목요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일"
> DDDD;@
> "4352년 05월 23일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@
> 
> 
> Reproducible: Always
> 
> 
> User Profile Reset: No
> 
> 
> 
> Additional Info:
> ICU4J
> https://ssl.icu-project.org/trac/changeset/32426
> Adding the traditional Korean calendar (Dangi) support to ICU4J.
> https://github.com/unicode-org/icu/commit/
> ed0ef7c2427078bb38211293e1ef090aab5e6f25#diff-
> f3f4352a0a0739dc705276a31851a473
> 
> below is ICU Library's Dangi Calendar
> The start year of the Korean traditional calendar (Dan-gi) is the inaugural
> year of Dan-gun (BC 2333).
> private static final int DANGI_EPOCH_YEAR = -2332;
Comment 3 DaeHyun Sung 2019-05-22 17:23:29 UTC
Created attachment 151603 [details]
Example of Dangi Calendar XLSX

Example of Korean Dangi Calendar XLSX
Comment 4 DaeHyun Sung 2019-05-22 17:24:01 UTC
Created attachment 151604 [details]
Example of Korean Dangi Calendar XLS

Example of Korean Dangi Calendar XLS
Comment 5 DaeHyun Sung 2019-05-22 17:29:37 UTC
Created attachment 151605 [details]
View Korean Dangi Calendar cell difference between Hancom Hancell and LibreOffice.

View Korean Dangi Calendar cell difference between Hancom Hancell and LibreOffice.

Left. Hancom Hancell  (Correct, Expected the Dangi Calendar expression)
Right. LibreOffice (Not show Dangi Calendar expression, only show Gregorian expression)
Comment 6 DaeHyun Sung 2019-05-22 17:44:19 UTC
Sorry I mis-typed some contents( comment #2 )

Below is correct contents.

In Additional,  add two Dangi Cell attributes
If Today is May 4, 2019, then

"4352-05-04", When Cell attributes sets [$-0]YYYY/MM/DD;@
"52-5-4", When Cell attributes sets [$-0]YY/M/D;@


Total 6 Dangi Calendar Cell attributes pattern on MS Excel And Hancom Hancell
"4352-05-04", When Cell attributes sets [$-0]YYYY/MM/DD;@
"52-5-4", When Cell attributes sets [$-0]YY/M/D;@
"4352년 5월 4일 토요일", When Cell attributes sets [$-412]YYYY"년" M"월" D"일" DDDD;@
"4352년 5월 4일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
"4352년 05월 04일 토요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일" DDDD;@
"4352년 05월 04일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@


(In reply to DaeHyun Sung from comment #2)
> In Additional,  add two Dangi Cell attributes
> If Today is May 4, 2019, then
> 
> "4352-05-04", When Cell attributes sets [$-0]YYYY/MM/DD;@
> "4352-5-4", When Cell attributes sets [$-0]YY/M/D;@
> 
> 
> Total 6 Dangi Calendar Cell attributes pattern on MS Excel And Hancom Hancell
> "4352-05-04", When Cell attributes sets [$-0]YYYY/MM/DD;@
> "4352-5-4", When Cell attributes sets [$-0]YY/M/D;@
> "4352년 5월 4일 토요일", When Cell attributes sets [$-412]YYYY"년" M"월" D"일" DDDD;@
> "4352년 5월 4일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
> "4352년 05월 04일 토요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일"
> DDDD;@
> "4352년 05월 04일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@
> 
> (In reply to DaeHyun Sung from comment #0)
> > Description:
> > Support to Korean Traditional Calendar, Dan-gi(단기/檀紀) Calendar on LibreOffice
> > 
> > The era name, Dangi(단기,檀紀) originating from the foundation of
> > Gojoseon[고조선/古朝鮮] is also widely used in Korea as an indication of long
> > civilization of Korea.
> > Full name: Dangun-giwon (단군기원, 檀君紀元 "First Age of Lord Dangun" : 1948-1961)
> > Abbreviation Name: Dangi(단기,檀紀)
> > The Dangi Calendar measures years from the ancient founding of Korea in 2333
> > B.C.
> > 
> > Until 1961, Republic of Korea(대한민국/大韓民國, a.k.a. South Korea) officially used
> > to Dangi(단기/檀紀) era 
> > http://www.law.go.kr/법령/연호에관한법률/(00004,19480925)
> > 年號에關한法律 [시행 1948. 9. 25.] [법률 제4호, 1948. 9. 25., 제정] 
> > 大韓民國의 公用年號는 檀君紀元으로 한다. 
> > 附則 <법률 제4호, 1948. 9. 25.> 本法은 公布日로부터 施行한다.
> > 
> > Nowaday, It's not official era in Korea, But, Private sector in Korea
> > sometimes use it.
> > 
> > It supported on MS Windows & MS Office, Hancom Office Suite.
> > Also, Windows 10 support Dangi Calendar.
> > 
> > ICU library support Dangi Calendar.
> > ICU4C 50 http://bugs.icu-project.org/trac/ticket/9255
> > ICU4J 51 http://bugs.icu-project.org/trac/ticket/9616 
> > 
> > Hancom is HWP software developed company, 
> > MS Excel & Hancom Hancell(Hancom Office Suite's Spreadsheet)'s Dangi(단기/檀紀)
> > Cell Property pattern
> > 
> > If Today is May 4, 2019, then
> > It shows "4352년 5월 4일 토요일", When Cell attributes sets [$-412]YYYY"년" M"월"
> > D"일" DDDD;@
> > "4352년 5월 4일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
> > "4352년 05월 04일 토요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일"
> > DDDD;@
> > "4352년 05월 04일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@
> > 
> > 
> > In Korea, MS OFffice, & Hancom Hancell uses that's cell attributes,
> > LibreOffice should support to Dangi Calendar for Interoperation in Korea.
> > 
> > 
> > Actual Results:
> > Today is May 23, 2019.
> > It shows "2019년 5월 23일 목요일", When Cell attributes sets [$-412]YYYY"년" M"월"
> > D"일" DDDD;@
> > "2019년 5월 23일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
> > "2019년 05월 23일 목요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일"
> > DDDD;@
> > "2019년 05월 23일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@
> > 
> > Expected Results:
> > Today is May 23, 2019.
> > It shows "4352년 5월 23일 목요일", When Cell attributes sets [$-412]YYYY"년" M"월"
> > D"일" DDDD;@
> > "4352년 5월 23일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
> > "4352년 05월 23일 목요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일"
> > DDDD;@
> > "4352년 05월 23일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@
> > 
> > 
> > Reproducible: Always
> > 
> > 
> > User Profile Reset: No
> > 
> > 
> > 
> > Additional Info:
> > ICU4J
> > https://ssl.icu-project.org/trac/changeset/32426
> > Adding the traditional Korean calendar (Dangi) support to ICU4J.
> > https://github.com/unicode-org/icu/commit/
> > ed0ef7c2427078bb38211293e1ef090aab5e6f25#diff-
> > f3f4352a0a0739dc705276a31851a473
> > 
> > below is ICU Library's Dangi Calendar
> > The start year of the Korean traditional calendar (Dan-gi) is the inaugural
> > year of Dan-gun (BC 2333).
> > private static final int DANGI_EPOCH_YEAR = -2332;
Comment 7 Eike Rathke 2019-05-23 12:34:03 UTC
Assigning to DaeHyun because submitted a change with https://gerrit.libreoffice.org/72807
Comment 8 Eike Rathke 2019-05-23 12:43:33 UTC
I'm slightly confused about the [$-0] part in [$-0]YYYY/MM/DD
How does that switch to the Dangun calendar? I suppose it works only in a Korean locale or even only in a Korean Excel version?

For [$-412] the 412 is just the hex LCID for the Korean locale, that should not switch calendars unless maybe the Dangun calendar is made the default calendar of the ko-KR locale.
Comment 9 DaeHyun Sung 2019-05-23 16:27:39 UTC
(In reply to Eike Rathke from comment #8)
> I'm slightly confused about the [$-0] part in [$-0]YYYY/MM/DD
> How does that switch to the Dangun calendar? I suppose it works only in a
> Korean locale or even only in a Korean Excel version?
> 

In my opinion, It works on Korean locale.
That Dangi Calendar works on MS Excel korean locale and Hancom Hancell(Excel 
compatible, Hancom Office suite's spreadsheet).

In Excel, select Calendar box (Belows are Two Calendar selection)
1. '서기' - Gregorian Calendar
2. '단기' - Dangi Calendar


If you select '단기', then It shows 6 attributes.
Total 6 Dangi Calendar Cell attributes pattern on MS Excel
"4352-05-04", When Cell attributes sets [$-0]YYYY/MM/DD;@
"52-5-4", When Cell attributes sets [$-0]YY/M/D;@
"4352년 5월 4일 토요일", When Cell attributes sets [$-412]YYYY"년" M"월" D"일" DDDD;@
"4352년 5월 4일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
"4352년 05월 04일 토요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일" DDDD;@
"4352년 05월 04일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@

otherwise,(select '서기')
It's typical Gregorian Calendar cell attributes.


In Hancom Hancell(한셀), all Calendar shows.(both '서기' - Gregorian Calendar and '단기' - Dangi Calendar)


> For [$-412] the 412 is just the hex LCID for the Korean locale, that should
> not switch calendars unless maybe the Dangun calendar is made the default
> calendar of the ko-KR locale.
Comment 10 DaeHyun Sung 2019-05-23 21:56:41 UTC
Created attachment 151647 [details]
Example of Dangi Calendar on MS Excel

(In reply to Eike Rathke from comment #8)
> I'm slightly confused about the [$-0] part in [$-0]YYYY/MM/DD
> How does that switch to the Dangun calendar? I suppose it works only in a
> Korean locale or even only in a Korean Excel version?
> 

Example of  Dangi Calendar works on MS Excel korean locale.

In Excel, select Calendar box (Belows are Two Calendar selection)
1. '서기' - Gregorian Calendar
2. '단기' - Dangi Calendar


If you select '단기', then It shows 6 attributes.
Total 6 Dangi Calendar Cell attributes pattern on MS Excel
"4352-05-04", When Cell attributes sets [$-0]YYYY/MM/DD;@
"52-5-4", When Cell attributes sets [$-0]YY/M/D;@
"4352년 5월 4일 토요일", When Cell attributes sets [$-412]YYYY"년" M"월" D"일" DDDD;@
"4352년 5월 4일", When Cell attributes sets [$-0]YYYY"년" M"월" D"일";@
"4352년 05월 04일 토요일", When Cell attributes sets  [$-412]YYYY"년" MM"월" DD"일" DDDD;@
"4352년 05월 04일", When Cell attributes sets   [$-0]YYYY"년" MM"월" DD"일";@

otherwise,(select '서기')
It's typical Gregorian Calendar cell attributes.
Comment 11 DaeHyun Sung 2019-05-23 22:16:02 UTC
Created attachment 151648 [details]
Example of Dangi Calendar on Hancom Hancell

(In reply to Eike Rathke from comment #8)
> I'm slightly confused about the [$-0] part in [$-0]YYYY/MM/DD
> How does that switch to the Dangun calendar? I suppose it works only in a
> Korean locale or even only in a Korean Excel version?
> 


Example of Dangi Calendar works on Hancom Hancell(Excel 
compatible, Hancom Office suite's spreadsheet).

"사용자 정의:(User Custom) selected item then show Dangi Calendar 6 patterns 

Total 6 Dangi Calendar Cell attributes pattern on Hancom Hancell(Excel 
compatible, Hancom Office suite's spreadsheet).

"4352-05-04", When Cell attributes sets [$-50000]yyyy-mm-dd;@
"52-5-4", When Cell attributes sets [$-50000]yy-m-d;@
"4352년 5월 4일 토요일", When Cell attributes sets [$-50412]yyyy"년" m"월" d"일" dddd;@
"4352년 5월 4일", When Cell attributes sets [$-50000]yyyy"년" m"월" d"일";@
"4352년 05월 04일 토요일", When Cell attributes sets  [$-50412]yyyy"년" mm"월" dd"일" dddd;@
"4352년 05월 04일", When Cell attributes sets   [$-50000]yyyy"년" mm"월" dd"일";@
Comment 12 DaeHyun Sung 2019-05-25 01:08:12 UTC
I split commits.

1.  I re-push the earlier patch set 

Support to Korean Dangi Calendar for tdf#125446
https://gerrit.libreoffice.org/72943


2. add locale xml data.
add Dangi calendar locale data for tdf#125446

https://gerrit.libreoffice.org/72944
Comment 13 Commit Notification 2019-05-31 23:22:07 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/5e67aa92a8f08fe488c9344851c2f819d4eaa542%5E%21

Support to Korean Dangi Calendar for tdf#125446

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-06-01 00:15:31 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e9395f87619af7c9b755ee8ff34ecfaae7df9c98%5E%21

add Dangi calendar locale data for tdf#125446

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-06-01 00:18:09 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/3222a51c03757cccffc81c1be79c553b8a198349%5E%21

Support to Korean Dangi Calendar for tdf#125446

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-06-01 00:18:17 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/54c75956795280bd940df24c907ab51cc3733cf1%5E%21

add Dangi calendar locale data for tdf#125446

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Xisco Faulí 2019-09-04 11:25:53 UTC
A polite ping to DaeHyun Sung:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks